[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# UnicodeCompareStr

Compare 2 Unicode strings

## Declaration

Source position: sysunih.inc line 26

`function UnicodeCompareStr(`
`const s1: UnicodeString;`
`const s2: UnicodeString`
`):PtrInt;`

## Description

UnicodeCompareStr compares 2 Unicode strings S1 and S2 in a case sensitive manner. The result of the function is

< 0
  If S1<S2
0
  If S1=S2
> 0
  If S1>S2

This function relies on a widestring manager to perform the actual comparison, as it will take into account various equivalent code points: it is not a simple byte-by-byte comparison.

## See also

UnicodeCompareText |  | Compare 2 strings case insensitively
CompareStr |  | Compare 2 ansistrings case-sensitively, ignoring special characters.
CompareText |  | Compare 2 ansistrings case insensitive.
UnicodeSameStr |  | Check whether 2 strings are equal